#ifndef __CIRCULAR_H
#define __CIRCULAR_H

class Circular {
	public:
		Circular(int width, int height, int bpp, int pitch);
		~Circular(void);
		void init(unsigned int *table = NULL);
		void draw(unsigned char *buffer, int time);
	private:
		unsigned int *createPalette(void);
		int width, height, bpp, pitch;
		int xvar, yvar;
		unsigned int *sintable;
		unsigned int *disttable;
		int distsizeX, distsizeY;
		int halfsizeX, halfsizeY;
		bool owntable;
};


#endif
