#ifndef __MODFILE_H
#define __MODFILE_H

#include <stdio.h>

typedef struct {
	char *name;
	int length;
	char finetune;
	signed char volume;
	int loopStart;
	int loopLength;
	signed char *data;
} sample;

typedef struct {
	short tone;
	unsigned char sample;
	unsigned char effect;
	short parameter;
} note;

int toneToAmiga(int tone);
int toFreq(int amiga);

class ModFile {
	public:
		ModFile(FILE *in);
		~ModFile(void);
		char *name;
		int numSamples;
		sample *samples;
		int songLength;
		int channels;
		unsigned char *orders;
		note *patterns;
};

#endif
