#ifndef __ROTOPLASMA_H
#define __ROTOPLASMA_H

class RotoPlasma {
	public:
		RotoPlasma(int width, int height, int bpp, int pitch);
		~RotoPlasma(void);
		void init(void);
		bool isInited(void);
		void draw(unsigned char *buffer, int time, bool bilinear=true);
	private:
		unsigned int *createPalette(void);
		int width, height, bpp, pitch;
		float angleA, angleB, angleC;
		unsigned char *texture1, *texture2;
		unsigned int *palette;
		float *sintable;
		float fastsin(float f);
		float fastcos(float f);
		int step;
};

#endif
