#ifndef __BITMAPFUNCS_H
#define __BITMAPFUNCS_H

void grayScale(unsigned int *ptr, int length);
void fadeFromBlack(unsigned char *out, unsigned char *in, int width, int height, int pitch, int time, int duration, int bpp);
void fade(unsigned char *out, unsigned char *in1, unsigned char *in2, int width, int height, int pitch, int time, int duration, int bpp);
void fadeToBlack(unsigned char *out, unsigned char *in, int width, int height, int pitch, int time, int duration, int bpp);
void drop(unsigned char *in1, unsigned char *in2, int width, int height, int pitch, int time, int duration, int bpp);

void shrinkGray(unsigned char *out, int outwidth, int outheight, unsigned char *in, int inwidth, int inheight, int inpitch);
unsigned char* scaleTitle(unsigned char *titleScale, int titleWidth, int titleHeight, int titlePitch, int frameWidth, int frameHeight);
unsigned char *tileCrop(unsigned char *in, int inwidth, int inheight, int inpitch, int frameWidth, int frameHeight);
void calcRotSize(float angle, int inwidth, int inheight, int *outwidth, int *outheight);
unsigned char *rotateGray(unsigned char *in, int inwidth, int inheight, int inpitch, float angle, int *outwidth, int *outheight);
void mergeImage(unsigned char *mask, int maskwidth, int maskheight, unsigned char *out, int outwidth, int outheight);
unsigned char *convertBitmap(unsigned char *in, int inbpp, int width, int height, int inpitch, int outbpp, bool release = true);


#endif
