#ifndef __NEON_H
#define __NEON_H


class Neon {
	public:
		Neon(int width, int height, int bpp, int pitch);
		~Neon(void);
		void init(void);
		void draw(unsigned char *buffer, int time);
		unsigned int *getDisttable() { return disttable; }

	private:
		unsigned int *createPalette(void);
		int width, height, bpp, pitch;
		int xvar, yvar;
		unsigned int *sintable;
		unsigned int *disttable;
		int distsizeX, distsizeY;
		int halfsizeX, halfsizeY;
};

#endif
