#include "caffeineapp.h"
#include "caffeinedoc.h"

#ifdef EKA2
const TUid KUidCaffeineApp = { 0xf027392D };
#else
const TUid KUidCaffeineApp = { 0x1027392D };
#endif

EXPORT_C CApaApplication* NewApplication() {
	return static_cast<CApaApplication*>(new CCaffeineApplication());
}

CApaDocument* CCaffeineApplication::CreateDocumentL() {
	return static_cast<CApaDocument*>(CCaffeineDocument::NewL(*this));
}

TUid CCaffeineApplication::AppDllUid() const {
	return KUidCaffeineApp;
}

#ifdef EKA2
#include <eikstart.h>

GLDEF_C TInt E32Main() {
	return EikStart::RunApplication(NewApplication);
}

#else

GLDEF_C TInt E32Dll(TDllReason aReason) {
	return KErrNone;
}

#endif

