#include "caffeineappui.h"
#include "caffeinedoc.h"

CCaffeineDocument* CCaffeineDocument::NewL(CEikApplication& aApp) {
	CCaffeineDocument* self = NewLC(aApp);
	CleanupStack::Pop(self);
	return self;
}

CCaffeineDocument* CCaffeineDocument::NewLC(CEikApplication& aApp) {
	CCaffeineDocument* self = new(ELeave) CCaffeineDocument(aApp);
	CleanupStack::PushL( self );
	self->ConstructL();
	return self;
}

void CCaffeineDocument::ConstructL() {
}

CCaffeineDocument::CCaffeineDocument(CEikApplication& aApp) : CAknDocument(aApp) {
}

CCaffeineDocument::~CCaffeineDocument() {
}

CEikAppUi* CCaffeineDocument::CreateAppUiL() {
	return static_cast<CEikAppUi*>(new(ELeave) CCaffeineAppUi());
}

